version: '3'

services:
  web:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: lty-admin
    restart: always
    ports:
      - "3030:3000"
    environment:
      - NODE_ENV=production
      - NEXT_PUBLIC_API_BASE_URL=${NEXT_PUBLIC_API_BASE_URL}
    env_file:
      - .env.production
    volumes:
      - ./public:/app/public

networks:
  app-network:
    driver: bridge
